---
name: orgs-2-routes
description: Handle 80 OpenAPI operation(s) under /orgs/{org} for the orgs 2 route group.
---

# orgs 2 API Routes

Handle 80 OpenAPI operation(s) under /orgs/{org} for the orgs 2 route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### actions_set_selected_repos_for_org_secret

- Operation ID: `actions_set_selected_repos_for_org_secret`
- Route: `PUT /orgs/{org}/actions/secrets/{secret_name}/repositories`
- Mode: WRITE
- Summary: Set selected repositories for an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
- Body: JSON request body accepted.

### actions_add_selected_repo_to_org_secret

- Operation ID: `actions_add_selected_repo_to_org_secret`
- Route: `PUT /orgs/{org}/actions/secrets/{secret_name}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Add selected repository to an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
  - `repository_id` in `path` required

### actions_remove_selected_repo_from_org_secret

- Operation ID: `actions_remove_selected_repo_from_org_secret`
- Route: `DELETE /orgs/{org}/actions/secrets/{secret_name}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Remove selected repository from an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
  - `repository_id` in `path` required

### actions_list_org_variables

- Operation ID: `actions_list_org_variables`
- Route: `GET /orgs/{org}/actions/variables`
- Mode: READ
- Summary: List organization variables
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### actions_create_org_variable

- Operation ID: `actions_create_org_variable`
- Route: `POST /orgs/{org}/actions/variables`
- Mode: WRITE
- Summary: Create an organization variable
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### actions_get_org_variable

- Operation ID: `actions_get_org_variable`
- Route: `GET /orgs/{org}/actions/variables/{name}`
- Mode: READ
- Summary: Get an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required

### actions_update_org_variable

- Operation ID: `actions_update_org_variable`
- Route: `PATCH /orgs/{org}/actions/variables/{name}`
- Mode: WRITE
- Summary: Update an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required
- Body: JSON request body accepted.

### actions_delete_org_variable

- Operation ID: `actions_delete_org_variable`
- Route: `DELETE /orgs/{org}/actions/variables/{name}`
- Mode: WRITE
- Summary: Delete an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required

### actions_list_selected_repos_for_org_variable

- Operation ID: `actions_list_selected_repos_for_org_variable`
- Route: `GET /orgs/{org}/actions/variables/{name}/repositories`
- Mode: READ
- Summary: List selected repositories for an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required
  - `page` in `query`
  - `per_page` in `query`

### actions_set_selected_repos_for_org_variable

- Operation ID: `actions_set_selected_repos_for_org_variable`
- Route: `PUT /orgs/{org}/actions/variables/{name}/repositories`
- Mode: WRITE
- Summary: Set selected repositories for an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required
- Body: JSON request body accepted.

### actions_add_selected_repo_to_org_variable

- Operation ID: `actions_add_selected_repo_to_org_variable`
- Route: `PUT /orgs/{org}/actions/variables/{name}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Add selected repository to an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required
  - `repository_id` in `path` required

### actions_remove_selected_repo_from_org_variable

- Operation ID: `actions_remove_selected_repo_from_org_variable`
- Route: `DELETE /orgs/{org}/actions/variables/{name}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Remove selected repository from an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required
  - `repository_id` in `path` required

### agents_list_org_secrets

- Operation ID: `agents_list_org_secrets`
- Route: `GET /orgs/{org}/agents/secrets`
- Mode: READ
- Summary: List organization secrets
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### agents_get_org_public_key

- Operation ID: `agents_get_org_public_key`
- Route: `GET /orgs/{org}/agents/secrets/public-key`
- Mode: READ
- Summary: Get an organization public key
- Parameters:
  - `org` in `path` required

### agents_get_org_secret

- Operation ID: `agents_get_org_secret`
- Route: `GET /orgs/{org}/agents/secrets/{secret_name}`
- Mode: READ
- Summary: Get an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required

### agents_create_or_update_org_secret

- Operation ID: `agents_create_or_update_org_secret`
- Route: `PUT /orgs/{org}/agents/secrets/{secret_name}`
- Mode: WRITE
- Summary: Create or update an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
- Body: JSON request body accepted.

### agents_delete_org_secret

- Operation ID: `agents_delete_org_secret`
- Route: `DELETE /orgs/{org}/agents/secrets/{secret_name}`
- Mode: WRITE
- Summary: Delete an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required

### agents_list_selected_repos_for_org_secret

- Operation ID: `agents_list_selected_repos_for_org_secret`
- Route: `GET /orgs/{org}/agents/secrets/{secret_name}/repositories`
- Mode: READ
- Summary: List selected repositories for an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
  - `page` in `query`
  - `per_page` in `query`

### agents_set_selected_repos_for_org_secret

- Operation ID: `agents_set_selected_repos_for_org_secret`
- Route: `PUT /orgs/{org}/agents/secrets/{secret_name}/repositories`
- Mode: WRITE
- Summary: Set selected repositories for an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
- Body: JSON request body accepted.

### agents_add_selected_repo_to_org_secret

- Operation ID: `agents_add_selected_repo_to_org_secret`
- Route: `PUT /orgs/{org}/agents/secrets/{secret_name}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Add selected repository to an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
  - `repository_id` in `path` required

### agents_remove_selected_repo_from_org_secret

- Operation ID: `agents_remove_selected_repo_from_org_secret`
- Route: `DELETE /orgs/{org}/agents/secrets/{secret_name}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Remove selected repository from an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
  - `repository_id` in `path` required

### agents_list_org_variables

- Operation ID: `agents_list_org_variables`
- Route: `GET /orgs/{org}/agents/variables`
- Mode: READ
- Summary: List organization variables
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### agents_create_org_variable

- Operation ID: `agents_create_org_variable`
- Route: `POST /orgs/{org}/agents/variables`
- Mode: WRITE
- Summary: Create an organization variable
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### agents_get_org_variable

- Operation ID: `agents_get_org_variable`
- Route: `GET /orgs/{org}/agents/variables/{name}`
- Mode: READ
- Summary: Get an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required

### agents_update_org_variable

- Operation ID: `agents_update_org_variable`
- Route: `PATCH /orgs/{org}/agents/variables/{name}`
- Mode: WRITE
- Summary: Update an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required
- Body: JSON request body accepted.

### agents_delete_org_variable

- Operation ID: `agents_delete_org_variable`
- Route: `DELETE /orgs/{org}/agents/variables/{name}`
- Mode: WRITE
- Summary: Delete an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required

### agents_list_selected_repos_for_org_variable

- Operation ID: `agents_list_selected_repos_for_org_variable`
- Route: `GET /orgs/{org}/agents/variables/{name}/repositories`
- Mode: READ
- Summary: List selected repositories for an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required
  - `page` in `query`
  - `per_page` in `query`

### agents_set_selected_repos_for_org_variable

- Operation ID: `agents_set_selected_repos_for_org_variable`
- Route: `PUT /orgs/{org}/agents/variables/{name}/repositories`
- Mode: WRITE
- Summary: Set selected repositories for an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required
- Body: JSON request body accepted.

### agents_add_selected_repo_to_org_variable

- Operation ID: `agents_add_selected_repo_to_org_variable`
- Route: `PUT /orgs/{org}/agents/variables/{name}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Add selected repository to an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required
  - `repository_id` in `path` required

### agents_remove_selected_repo_from_org_variable

- Operation ID: `agents_remove_selected_repo_from_org_variable`
- Route: `DELETE /orgs/{org}/agents/variables/{name}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Remove selected repository from an organization variable
- Parameters:
  - `org` in `path` required
  - `name` in `path` required
  - `repository_id` in `path` required

### orgs_create_artifact_deployment_record

- Operation ID: `orgs_create_artifact_deployment_record`
- Route: `POST /orgs/{org}/artifacts/metadata/deployment-record`
- Mode: WRITE
- Summary: Create an artifact deployment record
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### orgs_set_cluster_deployment_records

- Operation ID: `orgs_set_cluster_deployment_records`
- Route: `POST /orgs/{org}/artifacts/metadata/deployment-record/cluster/{cluster}`
- Mode: WRITE
- Summary: Set cluster deployment records
- Parameters:
  - `org` in `path` required
  - `cluster` in `path` required
- Body: JSON request body accepted.

### orgs_create_artifact_storage_record

- Operation ID: `orgs_create_artifact_storage_record`
- Route: `POST /orgs/{org}/artifacts/metadata/storage-record`
- Mode: WRITE
- Summary: Create artifact metadata storage record
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### orgs_list_artifact_deployment_records

- Operation ID: `orgs_list_artifact_deployment_records`
- Route: `GET /orgs/{org}/artifacts/{subject_digest}/metadata/deployment-records`
- Mode: READ
- Summary: List artifact deployment records
- Parameters:
  - `org` in `path` required
  - `subject_digest` in `path` required

### orgs_list_artifact_storage_records

- Operation ID: `orgs_list_artifact_storage_records`
- Route: `GET /orgs/{org}/artifacts/{subject_digest}/metadata/storage-records`
- Mode: READ
- Summary: List artifact storage records
- Parameters:
  - `org` in `path` required
  - `subject_digest` in `path` required

### orgs_list_attestations_bulk

- Operation ID: `orgs_list_attestations_bulk`
- Route: `POST /orgs/{org}/attestations/bulk-list`
- Mode: WRITE
- Summary: List attestations by bulk subject digests
- Parameters:
  - `per_page` in `query`
  - `before` in `query`
  - `after` in `query`
  - `org` in `path` required
- Body: JSON request body accepted.

### orgs_delete_attestations_bulk

- Operation ID: `orgs_delete_attestations_bulk`
- Route: `POST /orgs/{org}/attestations/delete-request`
- Mode: WRITE
- Summary: Delete attestations in bulk
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### orgs_delete_attestations_by_subject_digest

- Operation ID: `orgs_delete_attestations_by_subject_digest`
- Route: `DELETE /orgs/{org}/attestations/digest/{subject_digest}`
- Mode: WRITE
- Summary: Delete attestations by subject digest
- Parameters:
  - `org` in `path` required
  - `subject_digest` in `path` required

### orgs_list_attestation_repositories

- Operation ID: `orgs_list_attestation_repositories`
- Route: `GET /orgs/{org}/attestations/repositories`
- Mode: READ
- Summary: List attestation repositories
- Parameters:
  - `per_page` in `query`
  - `before` in `query`
  - `after` in `query`
  - `org` in `path` required
  - `predicate_type` in `query`

### orgs_delete_attestations_by_id

- Operation ID: `orgs_delete_attestations_by_id`
- Route: `DELETE /orgs/{org}/attestations/{attestation_id}`
- Mode: WRITE
- Summary: Delete attestations by ID
- Parameters:
  - `org` in `path` required
  - `attestation_id` in `path` required

### orgs_list_attestations

- Operation ID: `orgs_list_attestations`
- Route: `GET /orgs/{org}/attestations/{subject_digest}`
- Mode: READ
- Summary: List attestations
- Parameters:
  - `per_page` in `query`
  - `before` in `query`
  - `after` in `query`
  - `org` in `path` required
  - `subject_digest` in `path` required
  - `predicate_type` in `query`

### orgs_list_blocked_users

- Operation ID: `orgs_list_blocked_users`
- Route: `GET /orgs/{org}/blocks`
- Mode: READ
- Summary: List users blocked by an organization
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### orgs_check_blocked_user

- Operation ID: `orgs_check_blocked_user`
- Route: `GET /orgs/{org}/blocks/{username}`
- Mode: READ
- Summary: Check if a user is blocked by an organization
- Parameters:
  - `org` in `path` required
  - `username` in `path` required

### orgs_block_user

- Operation ID: `orgs_block_user`
- Route: `PUT /orgs/{org}/blocks/{username}`
- Mode: WRITE
- Summary: Block a user from an organization
- Parameters:
  - `org` in `path` required
  - `username` in `path` required

### orgs_unblock_user

- Operation ID: `orgs_unblock_user`
- Route: `DELETE /orgs/{org}/blocks/{username}`
- Mode: WRITE
- Summary: Unblock a user from an organization
- Parameters:
  - `org` in `path` required
  - `username` in `path` required

### campaigns_list_org_campaigns

- Operation ID: `campaigns_list_org_campaigns`
- Route: `GET /orgs/{org}/campaigns`
- Mode: READ
- Summary: List campaigns for an organization
- Parameters:
  - `org` in `path` required
  - `page` in `query`
  - `per_page` in `query`
  - `direction` in `query`
  - `state` in `query`
  - `sort` in `query`

### campaigns_create_campaign

- Operation ID: `campaigns_create_campaign`
- Route: `POST /orgs/{org}/campaigns`
- Mode: WRITE
- Summary: Create a campaign for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### campaigns_get_campaign_summary

- Operation ID: `campaigns_get_campaign_summary`
- Route: `GET /orgs/{org}/campaigns/{campaign_number}`
- Mode: READ
- Summary: Get a campaign for an organization
- Parameters:
  - `org` in `path` required
  - `campaign_number` in `path` required

### campaigns_update_campaign

- Operation ID: `campaigns_update_campaign`
- Route: `PATCH /orgs/{org}/campaigns/{campaign_number}`
- Mode: WRITE
- Summary: Update a campaign
- Parameters:
  - `org` in `path` required
  - `campaign_number` in `path` required
- Body: JSON request body accepted.

### campaigns_delete_campaign

- Operation ID: `campaigns_delete_campaign`
- Route: `DELETE /orgs/{org}/campaigns/{campaign_number}`
- Mode: WRITE
- Summary: Delete a campaign for an organization
- Parameters:
  - `org` in `path` required
  - `campaign_number` in `path` required

### code_scanning_list_alerts_for_org

- Operation ID: `code_scanning_list_alerts_for_org`
- Route: `GET /orgs/{org}/code-scanning/alerts`
- Mode: READ
- Summary: List code scanning alerts for an organization
- Parameters:
  - `org` in `path` required
  - `tool_name` in `query`
  - `tool_guid` in `query`
  - `before` in `query`
  - `after` in `query`
  - `page` in `query`
  - `per_page` in `query`
  - `direction` in `query`
  - `state` in `query`
  - `sort` in `query`
  - `severity` in `query`
  - `assignees` in `query`

### code_security_get_configurations_for_org

- Operation ID: `code_security_get_configurations_for_org`
- Route: `GET /orgs/{org}/code-security/configurations`
- Mode: READ
- Summary: Get code security configurations for an organization
- Parameters:
  - `org` in `path` required
  - `target_type` in `query`
  - `per_page` in `query`
  - `before` in `query`
  - `after` in `query`

### code_security_create_configuration

- Operation ID: `code_security_create_configuration`
- Route: `POST /orgs/{org}/code-security/configurations`
- Mode: WRITE
- Summary: Create a code security configuration
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### code_security_get_default_configurations

- Operation ID: `code_security_get_default_configurations`
- Route: `GET /orgs/{org}/code-security/configurations/defaults`
- Mode: READ
- Summary: Get default code security configurations
- Parameters:
  - `org` in `path` required

### code_security_detach_configuration

- Operation ID: `code_security_detach_configuration`
- Route: `DELETE /orgs/{org}/code-security/configurations/detach`
- Mode: WRITE
- Summary: Detach configurations from repositories
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### code_security_get_configuration

- Operation ID: `code_security_get_configuration`
- Route: `GET /orgs/{org}/code-security/configurations/{configuration_id}`
- Mode: READ
- Summary: Get a code security configuration
- Parameters:
  - `org` in `path` required
  - `configuration_id` in `path` required

### code_security_update_configuration

- Operation ID: `code_security_update_configuration`
- Route: `PATCH /orgs/{org}/code-security/configurations/{configuration_id}`
- Mode: WRITE
- Summary: Update a code security configuration
- Parameters:
  - `org` in `path` required
  - `configuration_id` in `path` required
- Body: JSON request body accepted.

### code_security_delete_configuration

- Operation ID: `code_security_delete_configuration`
- Route: `DELETE /orgs/{org}/code-security/configurations/{configuration_id}`
- Mode: WRITE
- Summary: Delete a code security configuration
- Parameters:
  - `org` in `path` required
  - `configuration_id` in `path` required

### code_security_attach_configuration

- Operation ID: `code_security_attach_configuration`
- Route: `POST /orgs/{org}/code-security/configurations/{configuration_id}/attach`
- Mode: WRITE
- Summary: Attach a configuration to repositories
- Parameters:
  - `org` in `path` required
  - `configuration_id` in `path` required
- Body: JSON request body accepted.

### code_security_set_configuration_as_default

- Operation ID: `code_security_set_configuration_as_default`
- Route: `PUT /orgs/{org}/code-security/configurations/{configuration_id}/defaults`
- Mode: WRITE
- Summary: Set a code security configuration as a default for an organization
- Parameters:
  - `org` in `path` required
  - `configuration_id` in `path` required
- Body: JSON request body accepted.

### code_security_get_repositories_for_configuration

- Operation ID: `code_security_get_repositories_for_configuration`
- Route: `GET /orgs/{org}/code-security/configurations/{configuration_id}/repositories`
- Mode: READ
- Summary: Get repositories associated with a code security configuration
- Parameters:
  - `org` in `path` required
  - `configuration_id` in `path` required
  - `per_page` in `query`
  - `before` in `query`
  - `after` in `query`
  - `status` in `query`

### codespaces_list_in_organization

- Operation ID: `codespaces_list_in_organization`
- Route: `GET /orgs/{org}/codespaces`
- Mode: READ
- Summary: List codespaces for the organization
- Parameters:
  - `per_page` in `query`
  - `page` in `query`
  - `org` in `path` required

### codespaces_set_codespaces_access

- Operation ID: `codespaces_set_codespaces_access`
- Route: `PUT /orgs/{org}/codespaces/access`
- Mode: WRITE
- Summary: Manage access control for organization codespaces
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### codespaces_set_codespaces_access_users

- Operation ID: `codespaces_set_codespaces_access_users`
- Route: `POST /orgs/{org}/codespaces/access/selected_users`
- Mode: WRITE
- Summary: Add users to Codespaces access for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### codespaces_delete_codespaces_access_users

- Operation ID: `codespaces_delete_codespaces_access_users`
- Route: `DELETE /orgs/{org}/codespaces/access/selected_users`
- Mode: WRITE
- Summary: Remove users from Codespaces access for an organization
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### codespaces_list_org_secrets

- Operation ID: `codespaces_list_org_secrets`
- Route: `GET /orgs/{org}/codespaces/secrets`
- Mode: READ
- Summary: List organization secrets
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `page` in `query`

### codespaces_get_org_public_key

- Operation ID: `codespaces_get_org_public_key`
- Route: `GET /orgs/{org}/codespaces/secrets/public-key`
- Mode: READ
- Summary: Get an organization public key
- Parameters:
  - `org` in `path` required

### codespaces_get_org_secret

- Operation ID: `codespaces_get_org_secret`
- Route: `GET /orgs/{org}/codespaces/secrets/{secret_name}`
- Mode: READ
- Summary: Get an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required

### codespaces_create_or_update_org_secret

- Operation ID: `codespaces_create_or_update_org_secret`
- Route: `PUT /orgs/{org}/codespaces/secrets/{secret_name}`
- Mode: WRITE
- Summary: Create or update an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
- Body: JSON request body accepted.

### codespaces_delete_org_secret

- Operation ID: `codespaces_delete_org_secret`
- Route: `DELETE /orgs/{org}/codespaces/secrets/{secret_name}`
- Mode: WRITE
- Summary: Delete an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required

### codespaces_list_selected_repos_for_org_secret

- Operation ID: `codespaces_list_selected_repos_for_org_secret`
- Route: `GET /orgs/{org}/codespaces/secrets/{secret_name}/repositories`
- Mode: READ
- Summary: List selected repositories for an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
  - `page` in `query`
  - `per_page` in `query`

### codespaces_set_selected_repos_for_org_secret

- Operation ID: `codespaces_set_selected_repos_for_org_secret`
- Route: `PUT /orgs/{org}/codespaces/secrets/{secret_name}/repositories`
- Mode: WRITE
- Summary: Set selected repositories for an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
- Body: JSON request body accepted.

### codespaces_add_selected_repo_to_org_secret

- Operation ID: `codespaces_add_selected_repo_to_org_secret`
- Route: `PUT /orgs/{org}/codespaces/secrets/{secret_name}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Add selected repository to an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
  - `repository_id` in `path` required

### codespaces_remove_selected_repo_from_org_secret

- Operation ID: `codespaces_remove_selected_repo_from_org_secret`
- Route: `DELETE /orgs/{org}/codespaces/secrets/{secret_name}/repositories/{repository_id}`
- Mode: WRITE
- Summary: Remove selected repository from an organization secret
- Parameters:
  - `org` in `path` required
  - `secret_name` in `path` required
  - `repository_id` in `path` required

### copilot_spaces_list_for_org

- Operation ID: `copilot_spaces_list_for_org`
- Route: `GET /orgs/{org}/copilot-spaces`
- Mode: READ
- Summary: List organization Copilot Spaces
- Parameters:
  - `org` in `path` required
  - `per_page` in `query`
  - `before` in `query`
  - `after` in `query`

### copilot_spaces_create_for_org

- Operation ID: `copilot_spaces_create_for_org`
- Route: `POST /orgs/{org}/copilot-spaces`
- Mode: WRITE
- Summary: Create an organization Copilot Space
- Parameters:
  - `org` in `path` required
- Body: JSON request body accepted.

### copilot_spaces_get_for_org

- Operation ID: `copilot_spaces_get_for_org`
- Route: `GET /orgs/{org}/copilot-spaces/{space_number}`
- Mode: READ
- Summary: Get an organization Copilot Space
- Parameters:
  - `org` in `path` required
  - `space_number` in `path` required

### copilot_spaces_update_for_org

- Operation ID: `copilot_spaces_update_for_org`
- Route: `PUT /orgs/{org}/copilot-spaces/{space_number}`
- Mode: WRITE
- Summary: Set an organization Copilot Space
- Parameters:
  - `org` in `path` required
  - `space_number` in `path` required
- Body: JSON request body accepted.

### copilot_spaces_delete_for_org

- Operation ID: `copilot_spaces_delete_for_org`
- Route: `DELETE /orgs/{org}/copilot-spaces/{space_number}`
- Mode: WRITE
- Summary: Delete an organization Copilot Space
- Parameters:
  - `org` in `path` required
  - `space_number` in `path` required

### copilot_spaces_list_collaborators_for_org

- Operation ID: `copilot_spaces_list_collaborators_for_org`
- Route: `GET /orgs/{org}/copilot-spaces/{space_number}/collaborators`
- Mode: READ
- Summary: List collaborators for an organization Copilot Space
- Parameters:
  - `org` in `path` required
  - `space_number` in `path` required
